-- Without dedicated button, there's no way to tell if other player is glancing, since that is done via their camera
-- BUT we can use a free bit in cmd.buttons to tell if we're glancing or not, so other players can see that

-- If there's dedicated button for glancing, no need to do anything
if BT_LOOKBACK ~= nil then return end

-- Free buttons bits go from 1<<7 to 1<<12, lets take last one and hope no-one's gonna use it
-- UPDATE: 1<<12 is used by sprays addon, using 1<11 now
rawset(_G, "BT_LOOKBACKSYNCH", 1<<11)

addHook("PlayerCmd", function(p, cmd)
	if p.glance_lookbacksynch then
		cmd.buttons = $ | BT_LOOKBACKSYNCH
	end
end)