-- [[ Definitions ]]
-- All of the character-related defines are handled here now, once again for ease-of-modding.

-- Rawset the global variables.
rawset(_G, "glancechars",
{
	skinid = {}, -- If this dosen't return nil, it uses this Lua.
	numskins = 0, -- Number of currently allocated skins. What did you think it was?
})

rawset(_G, "AddGlanceSkin", function(skin)
	glancechars.skinid[skin] = glancechars.numskins
	glancechars.numskins = $ + 1
	
	print("\x82".."Added \x22"..(skin).."\x22 to the Glance skin list.")
end)

-- [Skin checker rawset]
-- Glancing will NOT work if you don't put the skin name here! 
rawset(_G, "IsGlanceSkin", function(name)
	-- Seriously, DO THIS. Elimination actually breaks otherwise.
	return glancechars.skinid[name] ~= nil
end)

AddGlanceSkin("wrench_girl")
